Subject: Re: Need advice on doing builds of Cygwin and Insight tools...
From: "Dave Arnold" <[email-masked]>
To: "cygwin" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 6 Jul 2000 21:58:45 -0700

-----Original Message-----
From: Corinna Vinschen <[email-masked]>
To: Dave Arnold <[email-masked]>
Cc: [email-masked] <[email-masked]>
Date: Thursday, July 06, 2000 7:00 AM
Subject: Re: Need advice on doing builds of Cygwin and Insight tools...

>Dave Arnold wrote:
>> 1.Does it matter what version of tools I currently have?
>>   (I downloaded about 2 weeks ago but when I do uname -a the output says
>> 1.1.2)
>>   so I'm wondering if I have b20.1?  I think the 1.1.2 is for the
cygwin.dll
>> but what does
>> b20.1 refer to? The overall package?
>
>b20.1 is an old package out of December 1998.
>
>> 2. Whats the minimum I need to build Insight?
>
>Nothing! The gdb which you got when downloading is already
>build with Insight. You should only check if you have the
>latest version because of some bugfixes done in the meantime,
>perhaps.

Can you confirm that most likely I have b20.1 or higher because I downloaded
"setup.exe" from a mirror
and did an install over the internet, letting setup download the packages?

How do I determine what package version setup installed for me? Is there a
list of version #'s for all the
various components in a major package release?

e.g. for package b20.1

subpackage  version#
gcc                2.95
gdb                4.8
....
and so on.

====
MY Main objective is just to get the cygwin port of gdb and Insight working
on my Cygwin install.
Currently I can even use gdb with the command line interface  "gdb -nw"
I have problems such as:

"error 193" can start process
source code only in assembly
can't list source code with 'list' command
breakpoints not working, stepping not working etc.

basically just a GUI is all that works.
whatever I have to do to get this working that's all I care about. If I have
to download the sources
and start compile myself, then so be it but what other options do I have?

/dave

>Corinna
>
>--
>Corinna Vinschen
>Cygwin Developer
>Cygnus Solutions, a Red Hat company

--
Want to unsubscribe from this list?
Send a message to [email-masked]